Subject: Re: [RFC,net-next,x86 0/6] Nontemporal copies in unix socket write path

From: Jakub Kicinski <[email-masked]>
Date: Thu, 12 May 2022 16:12:57 -0700

On Thu, 12 May 2022 15:53:05 -0700 Joe Damato wrote:
>  1. Do you have any strong opinions on the sendmsg flag vs a socket option?

It sounded like you want to mix nt and non-nt on a single socket hence
the flag was a requirement. socket option is better because we can have
many more of those than there are bits for flags, obviously.

>  2. If I can think of a way to avoid the indirect calls, do you think this
>     series is ready for a v1? I'm not sure if there's anything major that
>     needs to be addressed aside from the indirect calls.

Nothing comes to mind, seems pretty straightforward to me.